#ifndef XMATERIALSHADERARGUMENT_H
#define XMATERIALSHADERARGUMENT_H

#include "xasset.h"
#include "xmaterialargumentdef.h"

class XMaterialShaderArgument : public XAsset
{
public:
    explicit XMaterialShaderArgument();

    virtual void Clear() override;
    virtual void ParseData(QDataStream *aStream) override;

private:
    int mType;
    int mDest;
    XMaterialArgumentDef mDef;
};

#endif // XMATERIALSHADERARGUMENT_H
